## icinga2 2.10.4

=== debian/changelog ===
icinga2 (2.10.4-1.xenial) icinga-xenial; urgency=medium

  * Debian/Ubuntu package for icinga-xenial

 -- Icinga Build System <info@icinga.com>  Tue, 19 Mar 2019 12:04:20 +0000

icinga2 (2.10.4-1) icinga-stretch; urgency=medium

  * Release 2.10.4

 -- Michael Friedrich <michael.friedrich@icinga.com>  Tue, 19 Mar 2019 11:38:21 +0000

icinga2 (2.10.3-2) icinga-stretch; urgency=medium

  * Update to 2.10.3-2

 -- Michael Friedrich <michael.friedrich@icinga.com>  Tue, 26 Feb 2019 11:56:42 +0000

icinga2 (2.10.3-1) icinga-stretch; urgency=medium

  * Update to 2.10.3

 -- Michael Friedrich <michael.friedrich@icinga.com>  Tue, 26 Feb 2019 08:36:13 +0000

## icinga2 2.10.4+6.g12b0b9a.2019.04.02+1.trusty

=== debian/changelog ===
icinga2 (2.10.4+6.g12b0b9a.2019.04.02+1.trusty-0) icinga-trusty-giraffe; urgency=medium

  * Snapshot build for version 2.10.4+6.g12b0b9a based on GIT commit
    12b0b9a936fc842742e00cf14089139236d95b76 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga Build System <info@icinga.com>  Tue, 02 Apr 2019 00:38:25 +0000

icinga2 (2.10.4-1) icinga-trusty; urgency=medium

  * Release 2.10.4

 -- Michael Friedrich <michael.friedrich@icinga.com>  Tue, 19 Mar 2019 11:38:21 +0000

icinga2 (2.10.3-2) icinga-trusty; urgency=medium

  * Update to 2.10.3-2

 -- Michael Friedrich <michael.friedrich@icinga.com>  Tue, 26 Feb 2019 11:56:42 +0000

icinga2 (2.10.3-1) icinga-trusty; urgency=medium

  * Update to 2.10.3

 -- Michael Friedrich <michael.friedrich@icinga.com>  Tue, 26 Feb 2019 08:36:14 +0000

## icinga2 2.10.5

=== debian/changelog ===
icinga2 (2.10.5-1.stretch) icinga-stretch; urgency=medium

  * Debian/Ubuntu package for icinga-stretch

 -- Icinga Build System <info@icinga.com>  Thu, 23 May 2019 12:14:28 +0000

icinga2 (2.10.5-1) icinga-stretch; urgency=medium

  * Update to 2.10.5

 -- Michael Friedrich <michael.friedrich@icinga.com>  Thu, 23 May 2019 12:03:49 +0000

=== debian/control ===
Source: icinga2
Section: admin
Priority: extra
Maintainer: Icinga Development Team <info@icinga.com>
Build-Depends: bash-completion,
               bison,
               cmake (>= 2.8.7),
               cmake (>= 3.2.2) | pkg-config,
               debhelper (>= 9),
               dh-systemd (>= 1.5),
               libsystemd-dev,
               flex,
               g++ (>= 1.96),
               libboost-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               default-libmysqlclient-dev | libmysqlclient-dev,
               libpq-dev,
               libssl-dev,
               libyajl-dev,
               libedit-dev,
               make (>= 3.81),
               po-debconf
Standards-Version: 3.9.8
Homepage: http://www.icinga.org
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/pkg-icinga2.git
Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/pkg-icinga2.git

Package: icinga2
Architecture: any
Depends: icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ${misc:Depends}
Recommends: icinga2-doc (= ${binary:Version}), monitoring-plugins-basic | nagios-plugins-basic, libreadline6
Suggests: vim-icinga2
Description: host and network monitoring system
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This is the metapackage to install all Icinga 2 features.

Package: icinga2-common
Architecture: all
Replaces: python-icinga2
Conflicts: python-icinga2
Provides: python-icinga2
Depends:
    adduser,
    lsb-release,
    lsb-base,
    ${misc:Depends}
Recommends: logrotate
Description: host and network monitoring system - common files
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides configuration and some basic helper scripts.

Package: icinga2-bin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: icinga2-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libicinga2
Replaces: libicinga2
Description: host and network monitoring system - daemon
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the Icinga 2 daemon.

Package: icinga2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: host and network monitoring system - documentation
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the Icinga 2 documentation.

Package: icinga2-ido-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: dbconfig-common,
         icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-mysql-client | mysql-client | virtual-mysql-client
Suggests: default-mysql-server | mysql-server
Description: host and network monitoring system - MySQL support
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the IDO module for the MySQL database.

Package: icinga2-ido-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: dbconfig-common,
         icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: postgresql-client
Suggests: postgresql
Description: host and network monitoring system - PostgreSQL support
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the IDO module for the PostgreSQL database.

Package: icinga2-dbg
Architecture: any
Section: debug
Depends: icinga2-bin (= ${binary:Version}),
         ${misc:Depends}
Description: host and network monitoring system - debug symbols
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides debug symbols for Icinga 2.

Package: vim-icinga2
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Description: syntax highlighting for Icinga 2 config files in VIM
 The vim-icinga2 package provides filetype detection and syntax
 highlighting for Icinga 2 config files.
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this
 purpose.

## icinga2 2.10.5+10.geef397c7a.2019.06.19+1.stretch

=== debian/changelog ===
icinga2 (2.10.5+10.geef397c7a.2019.06.19+1.stretch-0) icinga-stretch-giraffe; urgency=medium

  * Snapshot build for version 2.10.5+10.geef397c7a based on GIT commit
    eef397c7a675e76d3c226f73e17683fbcae58886 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga Build System <info@icinga.com>  Wed, 19 Jun 2019 22:55:59 +0000

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

LTO_BUILD = -DICINGA2_LTO_BUILD=On

DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

# disable unity/lto builds for arches with low memory
ifneq ($(findstring $(DEB_HOST_ARCH), armhf),)
	UNITY_BUILD = -DICINGA2_UNITY_BUILD=Off
	LTO_BUILD = -DICINGA2_LTO_BUILD=Off
endif

ifneq ($(findstring $(DEB_HOST_ARCH), mips),)
	UNITY_BUILD = -DICINGA2_UNITY_BUILD=Off
	LTO_BUILD = -DICINGA2_LTO_BUILD=Off
endif

ifneq ($(findstring $(DEB_HOST_ARCH), mipsel),)
	UNITY_BUILD = -DICINGA2_UNITY_BUILD=Off
	LTO_BUILD = -DICINGA2_LTO_BUILD=Off
endif



%:
	dh $@ --with systemd --with bash_completion

override_dh_systemd_enable:
	dh_systemd_enable --name=icinga2
override_dh_auto_build:
	dh_auto_build --parallel

override_dh_auto_clean:
	dh_auto_clean
	test ! -f third-party/cmake/GNUInstallDirs.cmake.disabled || \
		mv third-party/cmake/GNUInstallDirs.cmake.disabled third-party/cmake/GNUInstallDirs.cmake

override_dh_auto_configure:
	test -f third-party/cmake/GNUInstallDirs.cmake.disabled || \
		mv third-party/cmake/GNUInstallDirs.cmake third-party/cmake/GNUInstallDirs.cmake.disabled
	dh_auto_configure \
		-- \
		-DCMAKE_INSTALL_LOCALSTATEDIR=/var \
		-DCMAKE_INSTALL_SYSCONFDIR=/etc \
		-DICINGA2_SYSCONFIGFILE=/etc/default/icinga2 \
		-DICINGA2_RUNDIR=/run \
		-DICINGA2_USER=nagios \
		-DICINGA2_GROUP=nagios \
		-DICINGA2_COMMAND_GROUP=www-data \
		-DICINGA2_GIT_VERSION_INFO=false \
		-DICINGA2_PLUGINDIR=/usr/lib/nagios/plugins \
		-DUSE_SYSTEMD=ON \
		$(UNITY_BUILD) \
		$(LTO_BUILD)

override_dh_auto_install:
	dh_auto_install
	# remove features-enabled - these will be activated by postinst later
	rm -r debian/tmp/etc/icinga2/features-enabled/*

override_dh_install-indep:
	dh_install -i
	chmod +x debian/icinga2-common/usr/lib/icinga2/prepare-dirs
	rm debian/icinga2-common/etc/icinga2/features-available/ido-*

override_dh_install-arch:
	dh_install -a
	for dbms in mysql pgsql; do \
		mkdir -p debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/install ; \
		mkdir -p debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/upgrade/$$dbms; \
		cp lib/db_ido_$$dbms/schema/$$dbms.sql debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/install/$$dbms ; \
		for file in lib/db_ido_$$dbms/schema/upgrade/* ; do \
			cp $$file debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/upgrade/$$dbms/`basename $$file .sql`; \
		done; \
	done

override_dh_installinit:
	dh_installinit --name=icinga2

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=icinga2-dbg

# we don't build shared libraries
override_dh_makeshlibs:
	dh_makeshlibs --no-scripts || dh_makeshlibs --noscripts

# vi: noexpandtab ts=4 sw=4 :

## icinga2 2.10.5+10.geef397c7a.2019.06.20+1.bionic

=== debian/changelog ===
icinga2 (2.10.5+10.geef397c7a.2019.06.20+1.bionic-0) icinga-bionic-giraffe; urgency=medium

  * Snapshot build for version 2.10.5+10.geef397c7a based on GIT commit
    eef397c7a675e76d3c226f73e17683fbcae58886 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga Build System <info@icinga.com>  Thu, 20 Jun 2019 04:17:21 +0000

## icinga2 2.10.5+10.geef397c7a.2019.06.20+1.cosmic

=== debian/changelog ===
icinga2 (2.10.5+10.geef397c7a.2019.06.20+1.cosmic-0) icinga-cosmic-giraffe; urgency=medium

  * Snapshot build for version 2.10.5+10.geef397c7a based on GIT commit
    eef397c7a675e76d3c226f73e17683fbcae58886 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga Build System <info@icinga.com>  Thu, 20 Jun 2019 04:56:48 +0000

## icinga2 2.10.5+10.geef397c.2019.06.20+1.xenial

=== debian/changelog ===
icinga2 (2.10.5+10.geef397c.2019.06.20+1.xenial-0) icinga-xenial-giraffe; urgency=medium

  * Snapshot build for version 2.10.5+10.geef397c based on GIT commit
    eef397c7a675e76d3c226f73e17683fbcae58886 WARNING: this build is
    intended for testing and experimental usage and should not be used
    in a production environment!

 -- Icinga Build System <info@icinga.com>  Thu, 20 Jun 2019 04:43:23 +0000

## icinga2 2.10.7

=== debian/changelog ===
icinga2 (2.10.7-1.stretch) icinga-stretch; urgency=medium

  * Debian/Ubuntu package for icinga-stretch

 -- Icinga.com <info@icinga.com>  Thu, 17 Oct 2019 12:43:36 +0000

icinga2 (2.10.7-1) icinga-stretch; urgency=medium

  * Update to 2.10.7

 -- Michael Friedrich <michael.friedrich@icinga.com>  Thu, 23 May 2019 12:03:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,44 @@
 Source: icinga2
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Icinga Development Team <info@icinga.com>
-Build-Depends: bash-completion,
-               bison,
-               cmake (>= 2.8.7),
-               cmake (>= 3.2.2) | pkg-config,
-               debhelper (>= 9),
-               dh-systemd (>= 1.5),
-               libsystemd-dev,
-               flex,
-               g++ (>= 1.96),
-               libboost-dev,
-               libboost-program-options-dev,
-               libboost-regex-dev,
-               libboost-system-dev,
-               libboost-test-dev,
-               libboost-thread-dev,
-               default-libmysqlclient-dev | libmysqlclient-dev,
-               libpq-dev,
-               libssl-dev,
-               libyajl-dev,
-               libedit-dev,
-               make (>= 3.81),
-               po-debconf
+Build-Depends:
+  bash-completion,
+  bison,
+  cmake (>= 2.8.7),
+  cmake (>= 3.2.2) | pkg-config,
+  debhelper (>= 9),
+  dh-systemd (>= 1.5),
+  libsystemd-dev,
+  flex,
+  g++ (>= 4:8.0) | g++-8 | g++ (<< 4:7),
+  libboost-dev,
+  libboost-program-options-dev,
+  libboost-regex-dev,
+  libboost-system-dev,
+  libboost-test-dev,
+  libboost-thread-dev,
+  default-libmysqlclient-dev | libmysqlclient-dev,
+  libpq-dev,
+  libssl-dev,
+  libyajl-dev,
+  libedit-dev,
+  make (>= 3.81),
+  po-debconf
 Standards-Version: 3.9.8
-Homepage: http://www.icinga.org
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/pkg-icinga2.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/pkg-icinga2.git
+Homepage: https://www.icinga.com
+Vcs-Browser: https://git.icinga.com/packaging/deb-icinga2
+Vcs-Git: https://git.icinga.com/packaging/deb-icinga2.git
 
 Package: icinga2
 Architecture: any
 Depends: icinga2-bin (= ${binary:Version}),
          icinga2-common (= ${source:Version}),
          ${misc:Depends}
-Recommends: icinga2-doc (= ${binary:Version}), monitoring-plugins-basic | nagios-plugins-basic, libreadline6
+Recommends:
+  icinga2-doc (= ${binary:Version}),
+  monitoring-plugins-basic | nagios-plugins-basic,
+  libreadline8 | libreadline7 | libreadline6
 Suggests: vim-icinga2
 Description: host and network monitoring system
  Icinga 2 is a general-purpose monitoring application to fit the needs of

## icinga2 2.11.0~rc1

=== CMakeLists.txt ===
# Icinga 2 | (c) 2012 Icinga GmbH | GPLv2+

cmake_minimum_required(VERSION 2.8.8)
set(BOOST_MIN_VERSION "1.66.0")

project(icinga2)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/third-party/cmake")

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
endif()

option(ICINGA2_WITH_MYSQL "Build the MySQL IDO module" ON)
option(ICINGA2_WITH_PGSQL "Build the PostgreSQL IDO module" ON)
option(ICINGA2_WITH_CHECKER "Build the checker module" ON)
option(ICINGA2_WITH_COMPAT "Build the compat module" ON)
option(ICINGA2_WITH_LIVESTATUS "Build the Livestatus module" ON)
option(ICINGA2_WITH_NOTIFICATION "Build the notification module" ON)
option(ICINGA2_WITH_PERFDATA "Build the perfdata module" ON)
option(ICINGA2_WITH_TESTS "Run unit tests" ON)

option (USE_SYSTEMD
 "Configure icinga as native systemd service instead of a SysV initscript" OFF)

set(HAVE_SYSTEMD ${USE_SYSTEMD})

include(GNUInstallDirs)
include(InstallConfig)
include(SetFullDir)

set(ICINGA2_USER "icinga" CACHE STRING "Icinga 2 user")
set(ICINGA2_GROUP "icinga" CACHE STRING "Icinga 2 group")
set(ICINGA2_COMMAND_GROUP "icingacmd" CACHE STRING "Icinga 2 command group")
set(ICINGA2_PLUGINDIR "/usr/lib/nagios/plugins" CACHE STRING "Path for the check plugins")
set(ICINGA2_GIT_VERSION_INFO ON CACHE BOOL "Whether to use git describe")
set(ICINGA2_UNITY_BUILD ON CACHE BOOL "Whether to perform a unity build")
set(ICINGA2_LTO_BUILD OFF CACHE BOOL "Whether to use LTO")

set(ICINGA2_CONFIGDIR "${CMAKE_INSTALL_SYSCONFDIR}/icinga2" CACHE FILEPATH "Main config directory, e.g. /etc/icinga2")
set(ICINGA2_CACHEDIR "${CMAKE_INSTALL_LOCALSTATEDIR}/cache/icinga2" CACHE FILEPATH "Directory for cache files, e.g. /var/cache/icinga2")
set(ICINGA2_DATADIR "${CMAKE_INSTALL_LOCALSTATEDIR}/lib/icinga2" CACHE FILEPATH "Data directory for the daemon, e.g. /var/lib/icinga2")
set(ICINGA2_LOGDIR "${CMAKE_INSTALL_LOCALSTATEDIR}/log/icinga2" CACHE FILEPATH "Logging directory, e.g. /var/log/icinga2")
set(ICINGA2_SPOOLDIR "${CMAKE_INSTALL_LOCALSTATEDIR}/spool/icinga2" CACHE FILEPATH "Spooling directory, e.g. /var/spool/icinga2")
set(ICINGA2_RUNDIR "${CMAKE_INSTALL_LOCALSTATEDIR}/run" CACHE STRING "/run directory (deprecated, please use ICINGA2_INITRUNDIR)")
set(ICINGA2_INITRUNDIR "${ICINGA2_RUNDIR}/icinga2" CACHE FILEPATH "Runtime data for the init system, e.g. /run/icinga2")

set(ICINGA2_PKGDATADIR "${CMAKE_INSTALL_DATADIR}/icinga2" CACHE FILEPATH "Installed data, e.g. /usr/share/icinga2")
set(ICINGA2_INCLUDEDIR "${ICINGA2_PKGDATADIR}/include" CACHE FILEPATH "Include directory for the ITL, e.g. /usr/share/icinga2/include")

# ensure absolute paths
set_full_dir(ICINGA2_FULL_CONFIGDIR "${ICINGA2_CONFIGDIR}")
set_full_dir(ICINGA2_FULL_CACHEDIR "${ICINGA2_CACHEDIR}")
set_full_dir(ICINGA2_FULL_DATADIR "${ICINGA2_DATADIR}")
set_full_dir(ICINGA2_FULL_LOGDIR "${ICINGA2_LOGDIR}")
set_full_dir(ICINGA2_FULL_SPOOLDIR "${ICINGA2_SPOOLDIR}")
set_full_dir(ICINGA2_FULL_RUNDIR "${ICINGA2_RUNDIR}")
set_full_dir(ICINGA2_FULL_INITRUNDIR "${ICINGA2_INITRUNDIR}")
set_full_dir(ICINGA2_FULL_PKGDATADIR "${ICINGA2_PKGDATADIR}")
set_full_dir(ICINGA2_FULL_INCLUDEDIR "${ICINGA2_INCLUDEDIR}")

set(LOGROTATE_DIR "${CMAKE_INSTALL_SYSCONFDIR}/logrotate.d" CACHE STRING "Location of logrotate configs, e.g. /etc/logrotate.d")
set(BASHCOMPLETION_DIR "${CMAKE_INSTALL_SYSCONFDIR}/bash_completion.d" CACHE STRING "Location of bash_completion files, e.g. /etc/bash_completion.d")

if(NOT WIN32)
  set(ICINGA2_SYSCONFIGFILE "${CMAKE_INSTALL_SYSCONFDIR}/sysconfig/icinga2" CACHE PATH "where to store configuation for the init system, defaults to /etc/sysconfig/icinga2")
endif()

site_name(ICINGA2_BUILD_HOST_NAME)
set(ICINGA2_BUILD_COMPILER_NAME "${CMAKE_CXX_COMPILER_ID}")

if(NOT CMAKE_CXX_COMPILER_VERSION)
  execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion
    OUTPUT_VARIABLE CMAKE_CXX_COMPILER_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()

set(ICINGA2_BUILD_COMPILER_VERSION "${CMAKE_CXX_COMPILER_VERSION}")

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/COPYING" ICINGA2_LICENSE_GPL)
set(ICINGA2_LICENSE "${ICINGA2_LICENSE_GPL}\n\n---\n\n${ICINGA2_LICENSE_ADDITIONS}")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/LICENSE.txt" ${ICINGA2_LICENSE})

file(STRINGS VERSION SPEC_VERSION REGEX "^Version:")
string(LENGTH "${SPEC_VERSION}" SPEC_VERSION_LENGTH)
math(EXPR SPEC_VERSION_LENGTH "${SPEC_VERSION_LENGTH} - 9")
string(SUBSTRING ${SPEC_VERSION} 9 ${SPEC_VERSION_LENGTH} SPEC_VERSION)

configure_file(icinga-spec-version.h.cmake icinga-spec-version.h)

include(GetGitRevisionDescription)
git_describe(GIT_VERSION --tags)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/icinga-version.h.force)
  configure_file(icinga-version.h.force ${CMAKE_CURRENT_BINARY_DIR}/icinga-version.h COPYONLY)
else()
  if(NOT ICINGA2_GIT_VERSION_INFO OR GIT_VERSION MATCHES "-NOTFOUND$")
    file(STRINGS VERSION SPEC_REVISION REGEX "^Revision: ")
    string(LENGTH "${SPEC_REVISION}" SPEC_REVISION_LENGTH)
    math(EXPR SPEC_REVISION_LENGTH "${SPEC_REVISION_LENGTH} - 10")
    string(SUBSTRING ${SPEC_REVISION} 10 ${SPEC_REVISION_LENGTH} SPEC_REVISION)

    set(GIT_VERSION "r${SPEC_VERSION}-${SPEC_REVISION}")
    set(ICINGA2_VERSION "${SPEC_VERSION}")
  else()
    # use GIT version as ICINGA2_VERSION
    string(REGEX REPLACE "^[rv]" "" ICINGA2_VERSION "${GIT_VERSION}")
  endif()
  configure_file(icinga-version.h.cmake icinga-version.h)
endif()

# NuGet on Windows requires a semantic versioning, example: 2.10.4.123 (only 4 element, only numeric)
string(REGEX REPLACE "-([0-9]+).*$" ".\\1" ICINGA2_VERSION_SAFE "${ICINGA2_VERSION}")

if(WIN32)
  set(Boost_USE_STATIC_LIBS ON)
  # Disabled for linking issues for newer Boost versions, they link against Windows SDKs
  #add_definitions(-DBOOST_ALL_NO_LIB)

  # Disable optimization for Boost::context
  # https://www.boost.org/doc/libs/1_69_0/libs/context/doc/html/context/overview.html
  # https://docs.microsoft.com/en-us/cpp/build/reference/gl-whole-program-optimization?view=vs-2017
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /bigobj /GL- /EHs")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj /GL- /EHs")

  # detect if 32-bit target
  if(CMAKE_VS_PLATFORM_NAME STREQUAL "Win32")
    # SAFESEH is not supported in Boost on Windows x86
    # maybe it is when Boost is compiled with it...
    # https://lists.boost.org/Archives/boost/2013/10/206720.php
    # https://docs.microsoft.com/en-us/cpp/build/reference/safeseh-image-has-safe-exception-handlers?view=vs-2017
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SAFESEH:NO")
  endif()
endif()

if(NOT DEFINED LOGROTATE_HAS_SU)
  set(LOGROTATE_HAS_SU OFF)
  find_program(LOGROTATE_BINARY logrotate)
  execute_process(COMMAND ${LOGROTATE_BINARY} ERROR_VARIABLE LOGROTATE_OUTPUT)
  if(LOGROTATE_OUTPUT)
    string(REGEX REPLACE "^logrotate ([0-9.]*).*" "\\1" LOGROTATE_VERSION
      ${LOGROTATE_OUTPUT})
    message(STATUS "Found logrotate (found version \"${LOGROTATE_VERSION}\")")
    if("${LOGROTATE_VERSION}" VERSION_GREATER "3.7.9")
      set(LOGROTATE_HAS_SU ON)
    endif()
  endif()
endif()
if(LOGROTATE_HAS_SU)
  set(LOGROTATE_USE_SU "\n\tsu ${ICINGA2_USER} ${ICINGA2_GROUP}")
else()
  set(LOGROTATE_CREATE "\n\tcreate 644 ${ICINGA2_USER} ${ICINGA2_GROUP}")
endif()

find_package(Boost ${BOOST_MIN_VERSION} COMPONENTS context coroutine date_time filesystem thread system program_options regex REQUIRED)

# Boost.Coroutine2 (the successor of Boost.Coroutine)
# (1) doesn't even exist in old Boost versions and
# (2) isn't supported by ASIO, yet.
add_definitions(-DBOOST_COROUTINES_NO_DEPRECATION_WARNING)

add_definitions(-DBOOST_FILESYSTEM_NO_DEPRECATED)

link_directories(${Boost_LIBRARY_DIRS})
include_directories(${Boost_INCLUDE_DIRS})

find_package(OpenSSL REQUIRED)
include_directories(${OPENSSL_INCLUDE_DIR})

set(base_DEPS ${CMAKE_DL_LIBS} ${Boost_LIBRARIES} ${OPENSSL_LIBRARIES})
set(base_OBJS $<TARGET_OBJECTS:mmatch> $<TARGET_OBJECTS:socketpair> $<TARGET_OBJECTS:base>)

# JSON
find_package(JSON)
include_directories(${JSON_INCLUDE})

# UTF8CPP
find_package(UTF8CPP)
include_directories(${UTF8CPP_INCLUDE})

find_package(Editline)
set(HAVE_EDITLINE "${EDITLINE_FOUND}")

find_package(Termcap)
set(HAVE_TERMCAP "${TERMCAP_FOUND}")

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/lib
  ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/lib
)

if(HAVE_LIBEXECINFO)
  list(APPEND base_DEPS execinfo)
endif()

if(UNIX OR CYGWIN)
  list(APPEND base_OBJS $<TARGET_OBJECTS:execvpe>)
endif()

if(HAVE_SYSTEMD)
  list(APPEND base_DEPS systemd)
endif()


if(EDITLINE_FOUND)
  list(APPEND base_DEPS ${EDITLINE_LIBRARIES})
  include_directories(${EDITLINE_INCLUDE_DIR})
endif()

if(TERMCAP_FOUND)
  list(APPEND base_DEPS ${TERMCAP_LIBRARIES})
  include_directories(${TERMCAP_INCLUDE_DIR})
endif()

if(WIN32)
  list(APPEND base_DEPS ws2_32 dbghelp shlwapi msi)
endif()

set(CMAKE_MACOSX_RPATH 1)
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${CMAKE_INSTALL_FULL_LIBDIR}/icinga2")

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Qunused-arguments -fcolor-diagnostics")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Qunused-arguments -fcolor-diagnostics")

  # Clang on Fedora requires -pthread, Apple Clang does not
  # AppleClang is available since CMake 3.0.0
  if (NOT CMAKE_CXX_COMPILER_ID MATCHES "AppleClang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
  endif()
endif()

if(CMAKE_C_COMPILER_ID STREQUAL "SunPro")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mt")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mt -library=stlport4")
endif()

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
  if(CMAKE_SYSTEM_NAME MATCHES AIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_C_FLAGS} -g -lpthread")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -lpthread")
  elseif(CMAKE_SYSTEM_NAME MATCHES "kOpenBSD.*|OpenBSD.*")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -pthread")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -pthread")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lpthread")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lpthread")
    set(CMAKE_STATIC_LINKER_FLAGS "${CMAKE_STATIC_LINKER_FLAGS} -lpthread")
  else()
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -pthread")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -pthread")
  endif()
endif()

include(CheckCXXCompilerFlag)

function(check_cxx_linker_flag flag var)
  set(CMAKE_REQUIRED_FLAGS ${flag})
  set(result 0)
  check_cxx_compiler_flag(${flag} result)
  set(${var} ${result} PARENT_SCOPE)
endfunction()

check_cxx_linker_flag("-Wl,--gc-sections" LD_GC_SECTIONS)

if(LD_GC_SECTIONS)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--gc-sections")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--gc-sections")
endif()

check_cxx_linker_flag("-Wl,--no-export-dynamic" LD_NO_EXPORT_DYNAMIC)

if(LD_NO_EXPORT_DYNAMIC)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--no-export-dynamic")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-export-dynamic")
endif()

check_cxx_linker_flag("-Bsymbolic-functions" LD_SYMBOLIC_FUNCTIONS)

if(LD_SYMBOLIC_FUNCTIONS)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Bsymbolic-functions")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Bsymbolic-functions")
endif()

check_cxx_linker_flag("-Wl,--dynamic-list-cpp-typeinfo" LD_DYNAMIC_LIST_CPP_TYPEINFO)

if(LD_DYNAMIC_LIST_CPP_TYPEINFO)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--dynamic-list-cpp-typeinfo")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--dynamic-list-cpp-typeinfo")
endif()

check_cxx_linker_flag("-Wl,--dynamic-list-data" LD_DYNAMIC_LIST_DATA)

if(LD_DYNAMIC_LIST_DATA)

=== test/CMakeLists.txt ===
# Icinga 2 | (c) 2012 Icinga GmbH | GPLv2+

include(BoostTestTargets)

set(base_test_SOURCES
  icingaapplication-fixture.cpp
  base-array.cpp
  base-base64.cpp
  base-convert.cpp
  base-dictionary.cpp
  base-fifo.cpp
  base-json.cpp
  base-match.cpp
  base-netstring.cpp
  base-object.cpp
  base-object-packer.cpp
  base-serialize.cpp
  base-shellescape.cpp
  base-stacktrace.cpp
  base-stream.cpp
  base-string.cpp
  base-timer.cpp
  base-type.cpp
  base-utility.cpp
  base-value.cpp
  config-ops.cpp
  icinga-checkresult.cpp
  icinga-legacytimeperiod.cpp
  icinga-macros.cpp
  icinga-notification.cpp
  icinga-perfdata.cpp
  remote-url.cpp
  ${base_OBJS}
  $<TARGET_OBJECTS:config>
  $<TARGET_OBJECTS:remote>
  $<TARGET_OBJECTS:icinga>
)

if(ICINGA2_UNITY_BUILD)
  mkunity_target(base test base_test_SOURCES)
endif()

add_boost_test(base
  SOURCES test-runner.cpp ${base_test_SOURCES}
  LIBRARIES ${base_DEPS}
  TESTS
    base_array/construct
    base_array/getset
    base_array/resize
    base_array/insert
    base_array/remove
    base_array/unique
    base_array/foreach
    base_array/clone
    base_array/json
    base_base64/base64
    base_convert/tolong
    base_convert/todouble
    base_convert/tostring
    base_convert/tobool
    base_dictionary/construct
    base_dictionary/initializer1
    base_dictionary/initializer2
    base_dictionary/get1
    base_dictionary/get2
    base_dictionary/foreach
    base_dictionary/remove
    base_dictionary/clone
    base_dictionary/json
    base_fifo/construct
    base_fifo/io
    base_json/encode
    base_json/decode
    base_json/invalid1
    base_object_packer/pack_null
    base_object_packer/pack_false
    base_object_packer/pack_true
    base_object_packer/pack_number
    base_object_packer/pack_string
    base_object_packer/pack_array
    base_object_packer/pack_object
    base_match/tolong
    base_netstring/netstring
    base_object/construct
    base_object/getself
    base_serialize/scalar
    base_serialize/array
    base_serialize/dictionary
    base_serialize/object
    base_shellescape/escape_basic
    base_shellescape/escape_quoted
    base_stacktrace/stacktrace
    base_stream/readline_stdio
    base_string/construct
    base_string/equal
    base_string/clear
    base_string/append
    base_string/trim
    base_string/contains
    base_string/replace
    base_string/index
    base_string/find
    base_timer/construct
    base_timer/interval
    base_timer/invoke
    base_timer/scope
    base_type/gettype
    base_type/assign
    base_type/byname
    base_type/instantiate
    base_utility/comparepasswords_works
    base_utility/comparepasswords_issafe
    base_utility/validateutf8
    base_value/scalar
    base_value/convert
    base_value/format
    config_ops/simple
    config_ops/advanced
    icinga_checkresult/host_1attempt
    icinga_checkresult/host_2attempts
    icinga_checkresult/host_3attempts
    icinga_checkresult/service_1attempt
    icinga_checkresult/service_2attempts
    icinga_checkresult/service_3attempts
    icinga_checkresult/host_flapping_notification
    icinga_checkresult/service_flapping_notification
    icinga_notification/strings
    icinga_notification/state_filter
    icinga_notification/type_filter
    icinga_macros/simple
    icinga_legacytimeperiod/simple
    icinga_legacytimeperiod/advanced
    icinga_perfdata/empty
    icinga_perfdata/simple
    icinga_perfdata/quotes
    icinga_perfdata/multiple
    icinga_perfdata/uom
    icinga_perfdata/warncritminmax
    icinga_perfdata/ignore_invalid_warn_crit_min_max
    icinga_perfdata/invalid
    icinga_perfdata/multi
    remote_url/id_and_path
    remote_url/parameters
    remote_url/get_and_set
    remote_url/format
    remote_url/illegal_legal_strings
)

if(ICINGA2_WITH_LIVESTATUS)
  set(livestatus_test_SOURCES
    icingaapplication-fixture.cpp
    livestatus-fixture.cpp
    livestatus.cpp
    ${base_OBJS}
    $<TARGET_OBJECTS:config>
    $<TARGET_OBJECTS:remote>
    $<TARGET_OBJECTS:icinga>
    $<TARGET_OBJECTS:livestatus>
    $<TARGET_OBJECTS:methods>
  )

  if(ICINGA2_UNITY_BUILD)
      mkunity_target(livestatus test livestatus_test_SOURCES)
  endif()

  add_boost_test(livestatus
    SOURCES test-runner.cpp ${livestatus_test_SOURCES}
    LIBRARIES ${base_DEPS}
    TESTS livestatus/hosts livestatus/services
  )
endif()

set(icinga_checkable_test_SOURCES
  icingaapplication-fixture.cpp
  icinga-checkable-fixture.cpp
  icinga-checkable-flapping.cpp
  ${base_OBJS}
  $<TARGET_OBJECTS:config>
  $<TARGET_OBJECTS:remote>
  $<TARGET_OBJECTS:icinga>
  $<TARGET_OBJECTS:cli>
)

if(ICINGA2_UNITY_BUILD)
    mkunity_target(icinga_checkable test icinga_checkable_test_SOURCES)
endif()

add_boost_test(icinga_checkable
  SOURCES test-runner.cpp ${icinga_checkable_test_SOURCES}
  LIBRARIES ${base_DEPS}
  TESTS icinga_checkable_flapping/host_not_flapping
        icinga_checkable_flapping/host_flapping
        icinga_checkable_flapping/host_flapping_recover
        icinga_checkable_flapping/host_flapping_docs_example
)

## icinga2 2.11.0

=== debian/changelog ===
icinga2 (2.11.0-1.stretch) icinga-stretch; urgency=medium

  * Debian/Ubuntu package for icinga-stretch

 -- Icinga.com <info@icinga.com>  Thu, 19 Sep 2019 10:06:17 +0000

icinga2 (2.11.0-1) icinga; urgency=medium

  * Release 2.11.0

 -- Michael Friedrich <michael.friedrich@icinga.com>  Thu, 19 Sep 2019 10:50:31 +0200

icinga2 (2.11.0~rc1-1) icinga; urgency=medium

  * Prepare pre-release for 2.11

 -- Markus Frosch <markus.frosch@icinga.com>  Thu, 25 Jul 2019 09:45:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: icinga2
 Section: admin
-Priority: optional
+Priority: extra
 Maintainer: Icinga Development Team <info@icinga.com>
 Build-Depends:
   bash-completion,
@@ -11,13 +11,16 @@
   dh-systemd (>= 1.5),
   libsystemd-dev,
   flex,
-  g++ (>= 4:8.0) | g++-8 | g++ (<< 4:7),
-  libboost-dev,
-  libboost-program-options-dev,
-  libboost-regex-dev,
-  libboost-system-dev,
-  libboost-test-dev,
-  libboost-thread-dev,
+  g++ (>= 1.96),
+  libboost-dev (>= 1.66) | libboost1.67-dev | libboost1.67-icinga-dev,
+  libboost-context-dev (>= 1.66) | libboost-context1.67-dev | libboost-context1.67-icinga-dev,
+  libboost-coroutine-dev (>= 1.66) | libboost-coroutine1.67-dev | libboost-coroutine1.67-icinga-dev,
+  libboost-filesystem-dev (>= 1.66) | libboost-filesystem1.67-dev | libboost-filesystem1.67-icinga-dev,
+  libboost-program-options-dev (>= 1.66) | libboost-program-options1.67-dev | libboost-program-options1.67-icinga-dev,
+  libboost-regex-dev (>= 1.66) | libboost-regex1.67-dev | libboost-regex1.67-icinga-dev,
+  libboost-system-dev (>= 1.66) | libboost-system1.67-dev | libboost-system1.67-icinga-dev,
+  libboost-test-dev (>= 1.66) | libboost-test1.67-dev | libboost-test1.67-icinga-dev,
+  libboost-thread-dev (>= 1.66) | libboost-thread1.67-dev | libboost-thread1.67-icinga-dev,
   default-libmysqlclient-dev | libmysqlclient-dev,
   libpq-dev,
   libssl-dev,
@@ -26,19 +29,16 @@
   make (>= 3.81),
   po-debconf
 Standards-Version: 3.9.8
-Homepage: https://www.icinga.com
-Vcs-Browser: https://git.icinga.com/packaging/deb-icinga2
-Vcs-Git: https://git.icinga.com/packaging/deb-icinga2.git
+Homepage: http://www.icinga.org
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/pkg-icinga2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/pkg-icinga2.git
 
 Package: icinga2
 Architecture: any
 Depends: icinga2-bin (= ${binary:Version}),
          icinga2-common (= ${source:Version}),
          ${misc:Depends}
-Recommends:
-  icinga2-doc (= ${binary:Version}),
-  monitoring-plugins-basic | nagios-plugins-basic,
-  libreadline8 | libreadline7 | libreadline6
+Recommends: icinga2-doc (= ${binary:Version}), monitoring-plugins-basic | nagios-plugins-basic, libreadline6
 Suggests: vim-icinga2
 Description: host and network monitoring system
  Icinga 2 is a general-purpose monitoring application to fit the needs of

## icinga2 2.11.0+rc1.56.gfcca964.20190812.1421+xenial

=== debian/changelog ===
icinga2 (2.11.0+rc1.56.gfcca964.20190812.1421+xenial-0) icinga-xenial-snapshots; urgency=medium

  * Snapshot build for version 2.11.0+rc1.56.gfcca964 based on GIT
    commit fcca9643bc86cf445ec16d8b32cc830d8185e519 WARNING: this build
    is intended for testing and experimental usage and should not be
    used in a production environment!

 -- Icinga.com <info@icinga.com>  Mon, 12 Aug 2019 14:21:38 +0000

## icinga2 2.11.0+rc1.56.gfcca9643b.20190812.1420+stretch

=== debian/changelog ===
icinga2 (2.11.0+rc1.56.gfcca9643b.20190812.1420+stretch-0) icinga-stretch-snapshots; urgency=medium

  * Snapshot build for version 2.11.0+rc1.56.gfcca9643b based on GIT
    commit fcca9643bc86cf445ec16d8b32cc830d8185e519 WARNING: this build
    is intended for testing and experimental usage and should not be
    used in a production environment!

 -- Icinga.com <info@icinga.com>  Mon, 12 Aug 2019 14:20:41 +0000

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,15 @@
 LTO_BUILD = -DICINGA2_LTO_BUILD=On
 
 DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifneq (,$(wildcard /usr/include/icinga-boost))
+BOOST_FLAGS = \
+  -DBoost_NO_BOOST_CMAKE=TRUE \
+  -DBoost_NO_SYSTEM_PATHS=TRUE \
+  -DBOOST_LIBRARYDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/icinga-boost \
+  -DBOOST_INCLUDEDIR=/usr/include/icinga-boost \
+	-DCMAKE_INSTALL_RPATH=/usr/lib/$(DEB_HOST_MULTIARCH)/icinga-boost
+endif
 
 # disable unity/lto builds for arches with low memory
 ifneq ($(findstring $(DEB_HOST_ARCH), armhf),)
@@ -21,8 +30,6 @@
 	UNITY_BUILD = -DICINGA2_UNITY_BUILD=Off
 	LTO_BUILD = -DICINGA2_LTO_BUILD=Off
 endif
-
-
 
 %:
 	dh $@ --with systemd --with bash_completion
@@ -52,6 +59,7 @@
 		-DICINGA2_GIT_VERSION_INFO=false \
 		-DICINGA2_PLUGINDIR=/usr/lib/nagios/plugins \
 		-DUSE_SYSTEMD=ON \
+		$(BOOST_FLAGS) \
 		$(UNITY_BUILD) \
 		$(LTO_BUILD)

## icinga2 2.11.0+rc1.56.gfcca9643b.20190812.1421+disco

=== debian/changelog ===
icinga2 (2.11.0+rc1.56.gfcca9643b.20190812.1421+disco-0) icinga-disco-snapshots; urgency=medium

  * Snapshot build for version 2.11.0+rc1.56.gfcca9643b based on GIT
    commit fcca9643bc86cf445ec16d8b32cc830d8185e519 WARNING: this build
    is intended for testing and experimental usage and should not be
    used in a production environment!

 -- Icinga.com <info@icinga.com>  Mon, 12 Aug 2019 14:21:27 +0000

## icinga2 2.11.1

=== debian/changelog ===
icinga2 (2.11.1-1.buster) icinga-buster; urgency=medium

  * Debian/Ubuntu package for icinga-buster

 -- Icinga.com <info@icinga.com>  Thu, 17 Oct 2019 13:37:27 +0000

icinga2 (2.11.1-1) icinga; urgency=medium

  * Release 2.11.1

 -- Michael Friedrich <michael.friedrich@icinga.com>  Thu, 17 Oct 2019 15:31:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
   libsystemd-dev,
   flex,
   g++ (>= 1.96),
-  libboost-dev (>= 1.66) | libboost1.67-dev | libboost1.67-icinga-dev,
-  libboost-context-dev (>= 1.66) | libboost-context1.67-dev | libboost-context1.67-icinga-dev,
-  libboost-coroutine-dev (>= 1.66) | libboost-coroutine1.67-dev | libboost-coroutine1.67-icinga-dev,
-  libboost-filesystem-dev (>= 1.66) | libboost-filesystem1.67-dev | libboost-filesystem1.67-icinga-dev,
-  libboost-program-options-dev (>= 1.66) | libboost-program-options1.67-dev | libboost-program-options1.67-icinga-dev,
-  libboost-regex-dev (>= 1.66) | libboost-regex1.67-dev | libboost-regex1.67-icinga-dev,
-  libboost-system-dev (>= 1.66) | libboost-system1.67-dev | libboost-system1.67-icinga-dev,
-  libboost-test-dev (>= 1.66) | libboost-test1.67-dev | libboost-test1.67-icinga-dev,
-  libboost-thread-dev (>= 1.66) | libboost-thread1.67-dev | libboost-thread1.67-icinga-dev,
+  libboost1.67-icinga-dev | libboost-dev (>= 1.66) | libboost1.67-dev,
+  libboost-context1.67-icinga-dev | libboost-context-dev (>= 1.66) | libboost-context1.67-dev,
+  libboost-coroutine1.67-icinga-dev | libboost-coroutine-dev (>= 1.66) | libboost-coroutine1.67-dev,
+  libboost-filesystem1.67-icinga-dev | libboost-filesystem-dev (>= 1.66) | libboost-filesystem1.67-dev,
+  libboost-program-options1.67-icinga-dev | libboost-program-options-dev (>= 1.66) | libboost-program-options1.67-dev,
+  libboost-regex1.67-icinga-dev | libboost-regex-dev (>= 1.66) | libboost-regex1.67-dev,
+  libboost-system1.67-icinga-dev | libboost-system-dev (>= 1.66) | libboost-system1.67-dev,
+  libboost-test1.67-icinga-dev | libboost-test-dev (>= 1.66) | libboost-test1.67-dev,
+  libboost-thread1.67-icinga-dev | libboost-thread-dev (>= 1.66) | libboost-thread1.67-dev,
   default-libmysqlclient-dev | libmysqlclient-dev,
   libpq-dev,
   libssl-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-
-LTO_BUILD = -DICINGA2_LTO_BUILD=On
 
 DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -21,14 +19,21 @@
 	LTO_BUILD = -DICINGA2_LTO_BUILD=Off
 endif
 
-ifneq ($(findstring $(DEB_HOST_ARCH), mips),)
-	UNITY_BUILD = -DICINGA2_UNITY_BUILD=Off
-	LTO_BUILD = -DICINGA2_LTO_BUILD=Off
+UNITY_BUILD = -DICINGA2_UNITY_BUILD=On
+LTO_BUILD = -DICINGA2_LTO_BUILD=On
+
+MEM_TOTAL = $(shell grep MemTotal /proc/meminfo | awk '{ print $$2 }')
+MEM_REQUIRED_UNITY = 2097152 # 2gB
+MEM_ENOUGH = $(shell [ $(MEM_TOTAL) -gt $(MEM_REQUIRED_UNITY) ] && echo TRUE || echo FALSE)
+
+# disable unity/lto builds for arches with low memory
+ifneq ($(findstring mips,$(DEB_HOST_ARCH))$(findstring armhf,$(DEB_HOST_ARCH)),)
+ifneq ($(MEM_ENOUGH),TRUE)
+$(warning Turning off UNITY and LTO build due to low-memory architecture!)
+# Also see: https://github.com/Icinga/icinga2/issues/6761
+UNITY_BUILD = -DICINGA2_UNITY_BUILD=Off
+LTO_BUILD = -DICINGA2_LTO_BUILD=Off
 endif
-
-ifneq ($(findstring $(DEB_HOST_ARCH), mipsel),)
-	UNITY_BUILD = -DICINGA2_UNITY_BUILD=Off
-	LTO_BUILD = -DICINGA2_LTO_BUILD=Off
 endif
 
 %:
